GNU bug report logs - #56532
27.2; Ido C-f in read-file-name inserts twice the initial name

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tobias Bora <tobias.bora@HIDDEN>; Keywords: moreinfo; merged with #56531; dated Wed, 13 Jul 2022 09:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 56532 <at> debbugs.gnu.org:


Received: (at 56532) by debbugs.gnu.org; 13 Jul 2022 15:00:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 11:00:16 2022
Received: from localhost ([127.0.0.1]:47492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBdqa-0002Id-MZ
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 11:00:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1oBdqY-0002Ha-Ho; Wed, 13 Jul 2022 11:00:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5CuZJuNL15oSNGYKkDqytNf4j21SXwFXepM3QZu1+b0=; b=ruIrySuwUFZlZ4c/9OViawlkbU
 bnbkG0roZbdEDcXHyZG569yCNXVzVgSWcZYZWgg5lkueUEAjxnhzg5SCDMDTHieJkG2le/ErmFvlG
 Gm4dS217rMZqkzZt4wjLj2mw4DHXGH7rVEc6EIwUt9BA0Nhpvs8/zLxVwIFB6KN01tDk=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oBdqO-0007N2-Up; Wed, 13 Jul 2022 17:00:07 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tobias Bora <tobias.bora@HIDDEN>
Subject: Re: bug#56532: 27.2; Ido C-f in read-file-name inserts twice the
 initial name
In-Reply-To: <55935fa9-6c94-102b-557e-13d18073ab22@HIDDEN> (Tobias Bora's
 message of "Wed, 13 Jul 2022 16:16:22 +0200")
References: <fad0f672-95c0-3a47-4586-79a654706644@HIDDEN>
 <874jzltgmo.fsf@HIDDEN>
 <55935fa9-6c94-102b-557e-13d18073ab22@HIDDEN>
X-Now-Playing: Black Midi's _The Black Midi Anthology Vol. 1: Tales of
 Suspense and Revenge_: "Instrumental 3"
Date: Wed, 13 Jul 2022 17:00:03 +0200
Message-ID: <87zghdnjm4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Tobias Bora <tobias.bora@HIDDEN> writes: > Well the
 procedure
 is complete: C-f moves the point until you reach > the end of the message
 and then it changes the prompt. With the recipe, `C-f' just says [End of
 buffer] -- no prompts are changed. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56532
Cc: 56531 <at> debbugs.gnu.org, 56532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tobias Bora <tobias.bora@HIDDEN> writes:

> Well the procedure is complete: C-f moves the point until you reach
> the end of the message and then it changes the prompt.

With the recipe, `C-f' just says [End of buffer] -- no prompts are
changed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56532; Package emacs. Full text available.

Message received at 56532 <at> debbugs.gnu.org:


Received: (at 56532) by debbugs.gnu.org; 13 Jul 2022 14:16:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 10:16:47 2022
Received: from localhost ([127.0.0.1]:47422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBdAV-0000z0-Iy
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 10:16:47 -0400
Received: from mail-vs1-f48.google.com ([209.85.217.48]:44017)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tobias.bora@HIDDEN>)
 id 1oBdAS-0000yg-Ti; Wed, 13 Jul 2022 10:16:45 -0400
Received: by mail-vs1-f48.google.com with SMTP id d187so10845819vsd.10;
 Wed, 13 Jul 2022 07:16:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:date:mime-version:user-agent:subject:content-language:to
 :cc:references:from:in-reply-to;
 bh=OUxwfoYvzxjJtyr8PQOSUCMHdW8tI0R8gCFsDuCS0ks=;
 b=mkOaVgr8IPyhO2LpT/nqXnyXhHQYidraRAm/L8tS+gsqM3Ki9tGr9OFurLfUHnQ/Tw
 RAX6A+KDuUy0HSDozRVYsiFXn1hu/vIss+AMSWtjlq8GxmxLpCOir/Ztm5x9mHrDvLGV
 p+DDPyxmBwqV+87Jn/OrjnHlnMdo5APKurZ/4TtVgmHGH+s8Z745jfnLWbhnhiVQl0VC
 7GgJ4n3ctF2CycKCGmFZU2Mlkmnild2dpBfGfu3IywdQPzgDhnyvlbK+NjQWUz0E6uFv
 nkykcrORgQevpxVOTeCtJnyVnXfGMeVcV/H8gsX0gDJicf/qKD/RnaSqWeuyqa3cSFTh
 iE1g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:date:mime-version:user-agent:subject
 :content-language:to:cc:references:from:in-reply-to;
 bh=OUxwfoYvzxjJtyr8PQOSUCMHdW8tI0R8gCFsDuCS0ks=;
 b=7Uzqv/PDeHQEsMdJjPcWrYvZQCqRGM9CRTumbotIBI1+fmKw/nF83VVBVrl7fzZWy7
 AzwkwGkHlL0d8Dxfe2p97yJSuVJnvir13ECRhfiB4Tt5+KQ2E/3Eznlmqjjas1Qh/dh1
 AbqVfBZfJIA/kIBZMJCMksZx1YyD+2G6tOgU4CgK1X4jllP5q6MKU75hk7OXvNc2WQ2Y
 OL6orfQH3T9keoyWnpBMHf11xgFnBrLKwAZax79KghkkBxIkjJrA70x/+Bkyn30QYZRa
 fAw+gLSefvMGxyWYFtn72thigJ9ZCnzgaIVsBBnjiVGsRYuMfXysqYaXRXmri7hOCAAy
 RB1Q==
X-Gm-Message-State: AJIora+OwElgbjvHsqR96yPKOSn+SSCFNMezoyGJeMIrmzbbalMpxkRf
 HhZIwS+j9qUok7f8YVvFUN0=
X-Google-Smtp-Source: AGRyM1vINq/79TVaQfUZHlxOqnpyCBQ4p6ADo+1Ia3XDoLosuvutR9mI4ctsROHUkBew9lLqH7e+jA==
X-Received: by 2002:a67:ce09:0:b0:357:31ce:8872 with SMTP id
 s9-20020a67ce09000000b0035731ce8872mr1338115vsl.5.1657721799074; 
 Wed, 13 Jul 2022 07:16:39 -0700 (PDT)
Received: from [192.168.129.228] (zandbak.wlan.cwi.nl. [192.16.197.194])
 by smtp.googlemail.com with ESMTPSA id
 j11-20020ac5c30b000000b003746d5cb882sm191165vkk.8.2022.07.13.07.16.37
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 13 Jul 2022 07:16:38 -0700 (PDT)
Content-Type: multipart/mixed; boundary="------------9GrlIG6PtkrDtTnra9PBQlGj"
Message-ID: <55935fa9-6c94-102b-557e-13d18073ab22@HIDDEN>
Date: Wed, 13 Jul 2022 16:16:22 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.8.0
Subject: Re: bug#56532: 27.2; Ido C-f in read-file-name inserts twice the
 initial name
Content-Language: en-US
To: Lars Ingebrigtsen <larsi@HIDDEN>
References: <fad0f672-95c0-3a47-4586-79a654706644@HIDDEN>
 <874jzltgmo.fsf@HIDDEN>
From: Tobias Bora <tobias.bora@HIDDEN>
In-Reply-To: <874jzltgmo.fsf@HIDDEN>
X-Spam-Score: 2.2 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Thanks for you answer. Well the procedure is complete: C-f
 moves the point until you reach the end of the message and then it changes
 the prompt. If you do C-e as I explained before C-f, the point should already
 be at the e [...] 
 Content analysis details:   (2.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (tobias.bora[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.217.48 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.217.48 listed in wl.mailspike.net]
 2.2 SB_GIF_AND_NO_URIS     No description available.
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 56532
Cc: 56531 <at> debbugs.gnu.org, 56532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Thanks for you answer. Well the procedure is complete: C-f
    moves the point until you reach the end of the message and then it changes
    the prompt. If you do C-e as I explained before C-f, the point should already
    be at the e [...] 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.217.48 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.217.48 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (tobias.bora[at]gmail.com)
  2.2 SB_GIF_AND_NO_URIS     No description available.
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)

This is a multi-part message in MIME format.
--------------9GrlIG6PtkrDtTnra9PBQlGj
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit

Thanks for you answer.

Well the procedure is complete: C-f moves the point until you reach the 
end of the message and then it changes the prompt. If you do C-e as I 
explained before C-f, the point should already be at the end of the 
message and therefore it can't move further.

I tried to add a slash, the problem is the same, as demonstrated in the 
attached gif.

On 13/07/2022 13:07, Lars Ingebrigtsen wrote:
> Tobias Bora <tobias.bora@HIDDEN> writes:
>
>> Dear maintainers,
>>
>> If you enable ido with (setq ido-auto-merge-work-directories-length -1)
>> and evaluate:
>>
>> (read-file-name  "Picture name:" "/tmp" nil nil "defaultname.png")
>>
>> and go at the end of the buffer with C-e (not sure why the cursor is not
>> there by default), and press C-f to come back to a normal file prompt
>> (not using ido),
> Are there some missing bits in this recipe?  `C-f' after eval-ing that
> form just moves point, it doesn't change what's prompted for.
>
> In any case, in Emacs directories are supposed to end with a slash, so
> the correct syntax would be:
>
> (read-file-name  "Picture name:" "/tmp/" nil nil "defaultname.png")
>
--------------9GrlIG6PtkrDtTnra9PBQlGj
Content-Type: image/gif; name="Peek 13-07-2022 16-14.gif"
Content-Disposition: attachment; filename="Peek 13-07-2022 16-14.gif"
Content-Transfer-Encoding: base64
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=

--------------9GrlIG6PtkrDtTnra9PBQlGj--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56532; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 56532 <at> debbugs.gnu.org:


Received: (at 56532) by debbugs.gnu.org; 13 Jul 2022 11:08:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 07:08:10 2022
Received: from localhost ([127.0.0.1]:44588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBaDy-00058R-Kq
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 07:08:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1oBaDw-000587-SN; Wed, 13 Jul 2022 07:08:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:References:In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=t4Tfx+qOEHMxap2GldxUh8akCgzVEm73OXZ5/LNPE9E=; b=Eb4Al9mumMkCMtENTryqcbY2Gr
 PUdHhXiq6pCLyFR41q9d/JseE5Elvq2RYjeEXMc+iMNCxkaxItIMgBQvOV13MfwEFnfHMGIbi9dYW
 1j/gpIZtIegWNAYONWfvqxd8P9QPaMeE0zpDWQ/4nCdF0fGjX30ggXBOLpeeRMoy7qE0=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oBaDn-0005Az-SW; Wed, 13 Jul 2022 13:08:02 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Tobias Bora <tobias.bora@HIDDEN>
Subject: Re: bug#56532: 27.2; Ido C-f in read-file-name inserts twice the
 initial name
In-Reply-To: <fad0f672-95c0-3a47-4586-79a654706644@HIDDEN> (Tobias Bora's
 message of "Wed, 13 Jul 2022 11:27:11 +0200")
References: <fad0f672-95c0-3a47-4586-79a654706644@HIDDEN>
X-Now-Playing: Honey Badger's _Dorcha_: "meet_s"
Date: Wed, 13 Jul 2022 13:07:59 +0200
Message-ID: <874jzltgmo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Tobias Bora <tobias.bora@HIDDEN> writes: > Dear maintainers,
    > > If you enable ido with (setq ido-auto-merge-work-directories-length -1)
    > and evaluate: > > (read-file-name  "Picture name:" "/tmp" nil nil "defaultname.png")
    > > and go at th [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 56532
Cc: 56531 <at> debbugs.gnu.org, 56532 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tobias Bora <tobias.bora@HIDDEN> writes:

> Dear maintainers,
>
> If you enable ido with (setq ido-auto-merge-work-directories-length -1)
> and evaluate:
>
> (read-file-name=C2=A0 "Picture name:" "/tmp" nil nil "defaultname.png")
>
> and go at the end of the buffer with C-e (not sure why the cursor is not
> there by default), and press C-f to come back to a normal file prompt
> (not using ido),

Are there some missing bits in this recipe?  `C-f' after eval-ing that
form just moves point, it doesn't change what's prompted for.

In any case, in Emacs directories are supposed to end with a slash, so
the correct syntax would be:

(read-file-name=C2=A0 "Picture name:" "/tmp/" nil nil "defaultname.png")

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#56532; Package emacs. Full text available.
Forcibly Merged 56531 56532. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jul 2022 09:27:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 05:27:27 2022
Received: from localhost ([127.0.0.1]:44454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oBYeV-0008NE-0b
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 05:27:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:43702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tobias.bora@HIDDEN>) id 1oBYeS-0008My-In
 for submit <at> debbugs.gnu.org; Wed, 13 Jul 2022 05:27:25 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53478)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tobias.bora@HIDDEN>)
 id 1oBYeS-0007UP-Cg
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jul 2022 05:27:24 -0400
Received: from mail-vs1-xe2f.google.com ([2607:f8b0:4864:20::e2f]:38786)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <tobias.bora@HIDDEN>)
 id 1oBYeP-0003y0-TR
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jul 2022 05:27:24 -0400
Received: by mail-vs1-xe2f.google.com with SMTP id k2so10193256vsc.5
 for <bug-gnu-emacs@HIDDEN>; Wed, 13 Jul 2022 02:27:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=message-id:date:mime-version:user-agent:content-language:to:from
 :subject:content-transfer-encoding;
 bh=tEg9v1GZSlPpAhO3Lf/jU84ybIXsVA6zSiJJr1nkWqA=;
 b=b3q9AhO89JauHIYijHyzoJLcLWa73bRPGzEd1rcqYtqbwmS19/oftkyyjAaz+z9dtR
 18i7tKVoSiNOuunV40/cRE5Nj/RPux00Lra0E1ccaSsE7nI+Oj9HPXGWnlCw3/Nhqo1h
 JL+HlAikNvvm0qkSIejY/z1KzvZLXCD7e5glynaSmNekGtflWvpPaqlhY+nMfd1wlNHl
 RUhs837THpxTQABSNvnfAAzGqyn/Tk7XwWmTNKj5A8lXipZyicHSrvKpNEgQSo5gsNCU
 Nivo7b/yZzPl+hZixhnYZcCG1bQ68L2kWZajzWBfhMsOkIkGHuJ6YEHrPcl28bcHStxg
 grXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:message-id:date:mime-version:user-agent
 :content-language:to:from:subject:content-transfer-encoding;
 bh=tEg9v1GZSlPpAhO3Lf/jU84ybIXsVA6zSiJJr1nkWqA=;
 b=aX7LZ5vV3VWZjgKXj9v7ncJiw4289uco7rVqhq74RGTgt7/CqE9mM5BSC4wpXAfMd3
 /+ig/KnTox5PJVa9lE4UyHEwMgy2k3b4P/gKitpyTdvfrHGgAyUl/BebZ0RuQdn9eNTd
 txbe6SqLF+31BYGcJELKMNj5ZbWwNZypKiVLrg36MSRT5RdPGpX9UdV7S/NmeLBGfeYF
 sf1eukhutDRLJ7HoC9J1Hw6dRL3mLM/eH2SX7tIZGdv+X86imCDE370Fae6E3Fh5hD4X
 8EtqmAdpOKjbM5fnF/4+Q7Bxb5gzcOaqdZFY7LqmfoNFdjsyuk0T/XpmuJohf+UcWAck
 STkQ==
X-Gm-Message-State: AJIora/Ja2wuqGtzbWC06NhXNDAiT115/5E1RX2dFVQUiaqdYt3/gntK
 nLNToPLsXnmMjQCqmt4BDjFZOhNwXF8=
X-Google-Smtp-Source: AGRyM1uiloB6mP/VcfhFICydTDMGasU+gDHimdQKgsUf1AG6wVe1IHO5rewqq4qfXqzYxgdw74lA5A==
X-Received: by 2002:a05:6102:531:b0:357:1c16:f3a5 with SMTP id
 m17-20020a056102053100b003571c16f3a5mr635110vsa.55.1657704440493; 
 Wed, 13 Jul 2022 02:27:20 -0700 (PDT)
Received: from [192.168.129.228] (zandbak.wlan.cwi.nl. [192.16.197.194])
 by smtp.googlemail.com with ESMTPSA id
 m3-20020a1fee03000000b0037028169db7sm1908437vkh.21.2022.07.13.02.27.18
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 13 Jul 2022 02:27:19 -0700 (PDT)
Message-ID: <fad0f672-95c0-3a47-4586-79a654706644@HIDDEN>
Date: Wed, 13 Jul 2022 11:27:11 +0200
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.8.0
Content-Language: en-US
To: bug-gnu-emacs@HIDDEN
From: Tobias Bora <tobias.bora@HIDDEN>
Subject: 27.2; Ido C-f in read-file-name inserts twice the initial name
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::e2f;
 envelope-from=tobias.bora@HIDDEN; helo=mail-vs1-xe2f.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Dear maintainers,

If you enable ido with (setq ido-auto-merge-work-directories-length -1)
and evaluate:

(read-file-name  "Picture name:" "/tmp" nil nil "defaultname.png")

and go at the end of the buffer with C-e (not sure why the cursor is not
there by default), and press C-f to come back to a normal file prompt
(not using ido), then the initial text is written one more time, so the
prompt is now:

/tmp/defaultname.png*defaultname.png

where * is the position of the cursor. I would expect C-f in that case
to just prompt /tmp/defaultname.png.

Thanks!

In GNU Emacs 27.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.27, 
cairo version 1.16.0)
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: NixOS 22.05 (Quokka)

Recent messages:
Mark set
"/tmp/KRITA_SWAP_FILE_MWZMdW"
user-error: No window left from selected window
user-error: No window right from selected window
Quit
"/tmp/"
Delete /tmp/a.pdf? (y or n) n [2 times]
Quit [5 times]
Mark set
M-s-w is undefined

Configured using:
  'configure
  --prefix=/nix/store/88i1c5xv4cznlwwxvygd5m3w8m1g8czw-emacs-27.2
  --disable-build-details --with-modules --with-x-toolkit=gtk3 --with-xft
  --with-cairo'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER GMP

Important settings:
   value of $EMACSLOADPATH:
   value of $LANG: fr_FR.UTF-8
   value of $XMODIFIERS: @im=ibus
   locale-coding-system: utf-8

Major mode: Text

Minor modes in effect:
   dap-tooltip-mode: t
   dap-ui-many-windows-mode: t
   dap-ui-controls-mode: t
   dap-ui-mode: t
   dap-auto-configure-mode: t
   dap-mode: t
   treemacs-filewatch-mode: t
   treemacs-follow-mode: t
   treemacs-git-mode: t
   treemacs-fringe-indicator-mode: t
   which-key-mode: t
   async-bytecomp-package-mode: t
   shell-dirtrack-mode: t
   yas-global-mode: t
   yas-minor-mode: t
   TeX-PDF-mode: t
   TeX-source-correlate-mode: t
   ido-ubiquitous-mode: t
   ido-everywhere: t
   show-paren-mode: t
   global-undo-tree-mode: t
   undo-tree-mode: t
   recentf-mode: t
   delete-selection-mode: t
   minions-mode: t
   override-global-mode: t
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   global-visual-line-mode: t
   visual-line-mode: t
   transient-mark-mode: t

Load-path shadows:
/home/leo/.nix-profile/share/emacs/site-lisp/site-start hides 
/run/current-system/sw/share/emacs/site-lisp/site-start
/home/leo/.nix-profile/share/emacs/site-lisp/site-start hides 
/nix/store/hlvi7jg87pr89j4d3xli0bjb21gj7pyr-emacs-packages-deps/share/emacs/site-lisp/site-start
/home/leo/.nix-profile/share/emacs/site-lisp/site-start hides 
/nix/store/88i1c5xv4cznlwwxvygd5m3w8m1g8czw-emacs-27.2/share/emacs/site-lisp/site-start

Features:
(shadow sort mail-extr emacsbug sendmail eieio-opt winner helm-mode
helm-files helm-buffers helm-occur helm-tags helm-locate helm-grep
helm-regexp helm-misc helm-types help-fns radix-tree cl-print debug
backtrace reftex-sel cursor-sensor reftex-ref reftex-parse reftex-toc
vc-git diff-mode misearch multi-isearch server texmathp preview
prv-emacs reftex-dcr tex-bar toolbar-x font-latex tex-mode latexenc smex
helm-lsp helm-imenu dap-mouse dap-ui bui bui-list bui-info bui-entry
bui-core bui-history bui-button bui-utils lsp-lens dap-java dap-mode
dap-launch posframe dap-overlays lsp-java request autorevert
lsp-treemacs lsp-treemacs-themes treemacs treemacs-header-line
treemacs-compatibility treemacs-mode treemacs-bookmarks
treemacs-interface treemacs-extensions treemacs-mouse-interface
treemacs-tags treemacs-persistence treemacs-filewatch-mode
treemacs-follow-mode treemacs-rendering treemacs-annotations
treemacs-async treemacs-workspaces treemacs-dom treemacs-visuals
treemacs-fringe-indicator treemacs-scope pulse treemacs-faces
treemacs-icons treemacs-themes treemacs-core-utils pfuture
treemacs-logging treemacs-customization treemacs-macros which-key lsp-ui
lsp-ui-doc goto-addr lsp-ui-imenu lsp-ui-peek lsp-ui-sideline lsp-mode
spinner network-stream markdown-mode color inline ewoc lsp-ui-util
lsp-protocol ht projectile lisp-mnt grep ibuf-ext ibuffer
ibuffer-loaddefs adoc-mode tempo markup-faces yaml-mode flyspell ispell
gdb-mi bindat gud lua-mode tuareg speedbar sb-image ezimage dframe
tuareg-opam smie caml-help caml-types caml-emacs find-file csharp-mode
cc-langs imenu cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs org-ref org-ref-helm-bibtex
org-ref-helm helm-utils helm-bibtex bibtex-completion filenotify biblio
biblio-download biblio-dissemin biblio-ieee biblio-hal biblio-dblp
biblio-crossref biblio-arxiv biblio-doi biblio-core let-alist url-queue
hl-line helm-net helm-help helm helm-source eieio-compat
helm-multi-match helm-lib helm-config helm-easymenu async-bytecomp async
org-ref-core reftex-cite reftex reftex-loaddefs reftex-vars parsebib
ox-odt rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn
nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar
ox-html table ox-ascii ox-publish ox org-ref-glossary org-ref-bibtex
org-ref-citeproc message rfc822 mml mml-sec epa epg epg-config gnus-util
rmail rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev mail-utils
gmm-utils mailheader key-chord hydra lv doi-utils org-ref-utils
org-ref-pdf ol-bibtex bibtex htmlize cl f s dash haskell-mode
haskell-cabal haskell-utils haskell-font-lock haskell-indentation
haskell-string haskell-sort-imports haskell-lexeme haskell-align-imports
haskell-complete-module haskell-ghc-support etags fileloop xref project
dabbrev haskell-customize shell eaf derived eaf-interleave org-noter
org-element avl-tree generator org ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-macro org-footnote org-src ob-comint org-pcomplete pcomplete
org-list org-faces org-entities time-date noutline outline org-version
ob-emacs-lisp ob-core ob-eval org-table ol org-keys org-compat org-macs
org-loaddefs format-spec find-func cal-menu calendar cal-loaddefs
eaf-mindmap bookmark text-property-search pp yasnippet-snippets
yasnippet validate auctex-latexmk tex-buf latex latex-flymake
flymake-proc flymake compile comint ansi-color ring warnings thingatpt
tex-ispell tex-style tex dbus crm advice company-nixos-options company
nixos-options dired dired-loaddefs ido-completing-read+ memoize cus-edit
cus-start cus-load minibuf-eldef ido debpaste xml-rpc timezone url-http
url url-proxy url-privacy url-expand url-methods url-history mailcap
url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr url-cookie url-domsuf url-util url-gw nsm rmc puny xml
re-builder rx paren undo-tree diff windmove recentf tree-widget wid-edit
aggressive-indent edmacro kmacro delsel minions moody
doom-themes-ext-org doom-themes-ext-visual-bell face-remap
doom-nord-light-theme pcase doom-themes doom-themes-base cl-extra
help-mode use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core finder-inf tex-site info package easymenu browse-url
url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json subr-x map url-vars seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib chemacs tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1101562 135164)
  (symbols 48 60227 2)
  (strings 32 426576 20010)
  (string-bytes 1 11344777)
  (vectors 16 131038)
  (vector-slots 8 2144825 163904)
  (floats 8 912 893)
  (intervals 56 10876 1625)
  (buffers 1000 27))





Acknowledgement sent to Tobias Bora <tobias.bora@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#56532; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Jul 2022 15:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.